package com.bonus.boot.manager.basic.dao;

import com.bonus.boot.manager.basic.entity.HospitalBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface HospitalDao {

    List<HospitalBean> getList(HospitalBean o);

    int addInfo(HospitalBean bean);

    int updateInfo(HospitalBean bean);

    HospitalBean getListById(String id);

    int delById(HospitalBean bean);

    int selectPBCById(HospitalBean bean);

    int delPBCache(HospitalBean bean);
}

